package com.daniminguet.videogameadvisor.service;

import java.util.Collection;

import com.daniminguet.videogameadvisor.model.Videogame;

public interface VideogameQueryService {
	public Collection<Videogame> ejecutar();
	public VideogameQueryService buscarGenero(String... genero);
	public VideogameQueryService mostrarGeneros(String... generos);
	public VideogameQueryService buscarPorAnyo(String anyo);
	public VideogameQueryService buscarEntreAnyos(String desde, String hasta);
	public VideogameQueryService buscarNombre(String nombre);
	public VideogameQueryService buscarDesarrollador(String desarrollador);
	public VideogameQueryService buscarPlataforma(String... plataforma);
	public VideogameQueryService mostrarPlataformas(String... plataformas);
}
